Bug 1276824 - python-rope-0.10.7 is available
python-rope-0.10.7 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-rope (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 20:37 EDT by Upstream Release Monitoring
Modified: 2018-04-11 03:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-11 09:59:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 0.10.3 (#1276824) (1.14 KB, patch)
2015-10-30 20:37 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-10-30 20:37:10 EDT
Latest upstream release: 0.10.3
Current version/release in rawhide: 0.10.2-6.fc23
URL: https://pypi.python.org/pypi/rope

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-30 20:37:21 EDT
Created attachment 1088116 [details]
[patch] Update to 0.10.3 (#1276824)
Comment 2 Upstream Release Monitoring 2015-10-30 20:43:57 EDT
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11645543
Comment 3 Upstream Release Monitoring 2017-02-21 22:55:08 EST
nonamedotc's python-rope-0.10.3-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=860848
Comment 4 Upstream Release Monitoring 2017-02-22 19:18:44 EST
Latest upstream release: 0.10.4
Current version/release in rawhide: 0.10.3-1.fc26
URL: https://pypi.python.org/pypi/rope

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4010/
Comment 5 Upstream Release Monitoring 2017-02-22 19:18:47 EST
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues
Comment 6 Upstream Release Monitoring 2017-02-23 19:18:57 EST
Latest upstream release: 0.10.5
Current version/release in rawhide: 0.10.3-1.fc26
URL: https://pypi.python.org/pypi/rope

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4010/
Comment 7 Upstream Release Monitoring 2017-02-23 19:19:01 EST
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues
Comment 8 Upstream Release Monitoring 2017-08-22 20:27:02 EDT
Latest upstream release: 0.10.6
Current version/release in rawhide: 0.10.3-3.fc28
URL: https://pypi.python.org/pypi/rope

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4010/
Comment 9 Upstream Release Monitoring 2017-08-22 20:27:05 EDT
An HTTP error occurred downloading the package's new Source URLs: Getting http://pypi.python.org/packages/source/r/rope/rope-0.10.6.tar.gz to ./rope-0.10.6.tar.gz
Comment 10 Upstream Release Monitoring 2017-08-23 08:28:04 EDT
Latest upstream release: 0.10.7
Current version/release in rawhide: 0.10.3-3.fc28
URL: https://pypi.python.org/pypi/rope

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4010/
Comment 11 Upstream Release Monitoring 2017-08-23 08:28:10 EDT
An HTTP error occurred downloading the package's new Source URLs: Getting http://pypi.python.org/packages/source/r/rope/rope-0.10.7.tar.gz to ./rope-0.10.7.tar.gz
Comment 12 Jason Tibbitts 2017-11-06 14:54:06 EST
In case the pagure notice is overlooked (which always seems to happen to me in a flood of notification email) I'll note here that I submitted a PR to update the package and add a python3 subpackage.

https://src.fedoraproject.org/rpms/python-rope/pull-request/1
Comment 13 Charalampos Stratakis 2017-11-08 10:43:33 EST
Submitted a PR [0] based on Tibbs' PR which includes the upstream fix [1].

[0] https://src.fedoraproject.org/rpms/python-rope/pull-request/2
[1] https://github.com/python-rope/rope/commit/9daf563708d8130b92fce656f76ea6033adc72c3
Comment 14 Charalampos Stratakis 2017-11-08 10:45:56 EST
oops [1] was supposed to be https://github.com/python-rope/rope/pull/225/commits/a7df06ab68f60219eaa30c4fdce48de63c9bc24e
Comment 15 Mukundan Ragavan 2017-11-11 09:59:46 EST
built on rawhide and update submitted.

Thanks for the pull requests.

Note You need to log in before you can comment on or make changes to this bug.